aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMichael Buesch <m@bues.ch>2019-06-02 23:08:47 +0200
committerMichael Buesch <m@bues.ch>2019-06-02 23:08:47 +0200
commitfd7746c459fd70b97a99967d33aec94745c639a6 (patch)
tree449318f98ada6b090f3bd1270f055e0226634d20
parent7375eea766b604363e6b2e93fef3de674b1b42d1 (diff)
downloadpyprofibus-fd7746c459fd70b97a99967d33aec94745c639a6.tar.xz
pyprofibus-fd7746c459fd70b97a99967d33aec94745c639a6.zip
build-toolchain: Do not override PYTHONPATH
Signed-off-by: Michael Buesch <m@bues.ch>
-rwxr-xr-xphy_fpga/build_toolchain.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/phy_fpga/build_toolchain.sh b/phy_fpga/build_toolchain.sh
index 1caacd2..c8c07f2 100755
--- a/phy_fpga/build_toolchain.sh
+++ b/phy_fpga/build_toolchain.sh
@@ -132,13 +132,13 @@ if [ $BUILD_TINYPROG -ne 0 ]; then
cd "$BUILDDIR/TinyFPGA-Bootloader/programmer" || die "Failed to cd to tinyprog."
export PREFIX="$INSTALLDIR/tinyprog"
rm -rf "$PREFIX" || die "Failed to clean install tinyprog"
- mkdir -p "$PREFIX/share" || die "Failed to create tinyprog share"
+ mkdir -p "$PREFIX/lib" || die "Failed to create tinyprog lib"
mkdir -p "$PREFIX/bin" || die "Failed to create tinyprog bin"
- cp -r "$BUILDDIR/TinyFPGA-Bootloader/programmer/tinyprog" "$PREFIX/share/" || die "Failed to install tinyprog"
+ cp -r "$BUILDDIR/TinyFPGA-Bootloader/programmer/tinyprog" "$PREFIX/lib/" || die "Failed to install tinyprog"
cat > "$PREFIX/bin/tinyprog" <<EOF
#!/bin/sh
-export PYTHONPATH="$PREFIX/share/"
-exec python3 "$PREFIX/share/tinyprog" "\$@"
+export PYTHONPATH="$PREFIX/lib/:\$PYTHONPATH"
+exec python3 "$PREFIX/lib/tinyprog" "\$@"
EOF
[ -f "$PREFIX/bin/tinyprog" ] || die "Failed to install tinyprog wrapper"
chmod 755 "$PREFIX/bin/tinyprog" || die "Failed to chmod tinyprog"
bues.ch cgit interface